Page MenuHomePhabricator

Make stashed / async uploads rely on the database instead of the session
Closed, ResolvedPublic

Description

Migrated from: https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/950

Narrative

As a …, I can …, so that …

Acceptance Criteria

Related Bugs

bug 43967

Related Stories

Related Changesets

Event Timeline

MingleTerminator raised the priority of this task from to High.Dec 8 2014, 7:23 PM
Tgr added a subscriber: Tgr.Dec 30 2014, 9:54 PM

Apparently they already do (or maybe partially do?) so maybe it's just outdated function/error names that suggest otherwise: T28179

Steinsplitter moved this task from Incoming to Uploading on the Commons board.
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:45 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptSep 4 2015, 6:45 PM

Upload stash data is most definitely stored in the database.

matmarex closed this task as Resolved.Sep 10 2015, 7:08 PM
matmarex set Security to None.
Tgr added a comment.Sep 25 2015, 1:51 AM

Chunked/stashed upload status used to be stored in the session. It was changed in https://gerrit.wikimedia.org/r/#/c/163766/ to use memcached.